#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fltk
Version		:	1.3.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Fast Light Tool Kit
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://www.fltk.org/software.php

Source0		:	%{name}-%{version}-source.tar.gz

#-----------------------------------------------------------------------------
%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
a cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
Microsoft(r) Windows(r), and MacOS(r) X. FLTK provides
modern GUI functionality without the bloat and supports 3D
graphics via OpenGL(r) and its built-in GLUT emulation. It
was originally developed by Mr. Bill Spitzak and is
currently maintained by a small group of developers across
the world with a central repository in the US.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i								\
  -e '/cat./d'							\
  documentation/Makefile

autoconf -f -i
./configure							\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\
	--enable-shared						\
   
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fluid
%{_bindir}/%{name}-config
%{_includedir}/FL/*.{H,h}
%{_defaultdocdir}/%{name}/examples/*
%{_libdir}/lib%{name}*.{a,la,so*}
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

